%define pkgname control-center
%define lib_major	1
%define lib_name	%mklibname gnome-window-settings %{lib_major}


Summary: The GNOME control center.
Name: gnome-%{pkgname}
Version: 2.8.2
Release: 6mdk
License: GPL
Group: Graphical desktop/GNOME
BuildRequires:	gnome-desktop-devel >= 2.1.0
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  gtk+2-devel >= 2.1.0
BuildRequires:  libmetacity-private-devel
BuildRequires:  nautilus-devel
BuildRequires:  libxklavier-devel
BuildRequires:  perl-XML-Parser
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Source1: backgrounds.xml
# (fc) 2.0.0-1mdk esd should quit after 30s of inactivity
Patch0: gnome-control-center-2.0.0-esdrelease.patch.bz2
# (fc) 2.6.1-4mdk fix crash in background capplet when using locale encoded filename (Mdk bug #10353)
Patch2: gnome-control-center-2.8.1-utf8.patch.bz2
# (fc) 2.6.1-5mdk fix naming for mozilla and evolution in default apps capplet (Mdk bug #10704)
Patch3: gnome-control-center-2.8.2-naming.patch.bz2
# (fc) 2.8.1-1mdk don't show hyper if its mapped to super (Fedora)
Patch4: gnome-control-center-2.7.1-modifier.patch.bz2
# (fc) 2.8.1-1mdk add preview in background file selector (Fedora)
Patch5: gnome-control-center-2.8.0-preview.patch.bz2
# (fc) 2.8.1-1mdk Install icon theme should untar it into $HOME/.icons (Fedora)
Patch6: gnome-control-center-2.8.0-install-icons.patch.bz2
# (fc) 2.8.1-1mdk fix logout keybinding
Patch7: gnome-control-center-2.8.1-logout.patch.bz2
# (fc) 2.8.1-6mdk fix cursor highlight mode (GNOME bug #149383)
Patch9: gnome-control-center-2.8.1-highlightcursor.patch.bz2
# (fc) 2.8.2-2mdk fix infinite loop when changing theme (CVS)
Patch10: gnome-control-center-2.8.2-fixtheme.patch.bz2
# (fc) 2.8.2-3mdk enable more multimedia keys
Patch11: gnome-control-center-2.8.2-multimedia.patch.bz2
# (fc) 2.8.2-3mdk fix detection of pmu (ppc) (Debian)
Patch12: gnome-control-center-2.8.2-pmu.patch.bz2
# (fc) 2.8.2-5mdk fix keybinding when keysim aren't available
Patch13: gnome-control-center-2.8.2-badkeysim.patch.bz2

Obsoletes: %{pkgname}
Provides: %{pkgname} = %{version}-%{release}
Obsoletes: themus
Provides: themus
Obsoletes: fontilus
Provides: fontilus
Obsoletes: drwright
Provides: drwright
Obsoletes: metatheme
Provides: metatheme
Obsoletes: metacity-setup
Provides: metacity-setup

Obsoletes: %{name}-plus
Obsoletes: xalf
Provides: xalf
Provides: %{name}-plus = %{version}-%{release}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/softwaremap/projects/control-center/

Requires: xscreensaver >= 4.00
Requires: gnome-desktop >= 2.1.4
Requires: gnome-themes
Requires: metacity

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

GNOME is the GNU Network Object Model Environment. That's
a fancy name, but really GNOME is a nice GUI desktop 
environment. 

It's a powerful, easy to configure environment which
helps to make your computer easy to use.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

Provides:	libgnome-window-settings = %{version}-%{release}

%description -n %{lib_name}
Dynamic libraries used by GNOME Control Center


%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME control center
Group:		Development/GNOME and GTK+

Provides:	libgnome-window-settings-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
Static libraries, include files for GNOME Control Center

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .esdrelease
%patch2 -p1 -b .utf8
%patch3 -p1 -b .naming
%patch4 -p1 -b .modifier
%patch5 -p1 -b .preview
%patch6 -p1 -b .installicons
%patch7 -p1 -b .logout
%patch9 -p1 -b .cursorhighlight
%patch10 -p1 -b .fixtheme
%patch11 -p1 -b .multimedia
%patch12 -p1 -b .pmu
%patch13 -p1 -b .badkeysim

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="control-center2" title="GNOME Control Center" needs="gnome" section="Configuration/GNOME" command="%{_bindir}/gnome-control-center" startup_notify="false"
?package(%{name}): icon="accessibility-directory" title="Accessibility" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-accessibility-keyboard-properties" icon="gnome-settings-accessibility-keyboard" longtitle="Set your keyboard accessibility preferences" kde_filename="gnome-accessibility-keyboard-properties" title="Keyboard" needs="gnome" section="Configuration/GNOME/Accessibility" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-background-properties" icon="gnome-settings-background" longtitle="Customize your desktop background" title="Background" needs="gnome" kde_filename="gnome-background-properties" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-sound-properties" icon="gnome-settings-sound" longtitle="Enable sound and associate sounds with events" title="Sound" needs="gnome" kde_filename="gnome-sound-properties" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-keyboard-properties" icon="gnome-dev-keyboard" longtitle="Set your keyboard preferences" title="Keyboard" needs="gnome" kde_filename="gnome-keyboard-properties" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-mouse-properties" icon="gnome-dev-mouse-optical" longtitle="Set your mouse preferences" title="Mouse" needs="gnome" section="Configuration/GNOME" kde_filename="gnome-mouse-properties" startup_notify="true"
?package(%{name}): icon="advanced-directory" longtitle="Advanced Settings" title="Advanced" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-ui-properties" icon="gnome-settings-ui-behavior" longtitle="Customize the appearance of toolbars and menubars in applications" title="Menus & Toolbars" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-theme-manager" icon="gnome-settings-theme" longtitle="Select themes for various parts of the desktop" title="Theme" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-font-properties" icon="gnome-settings-font" longtitle="Select fonts for the desktop" title="Font" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-keybinding-properties" icon="gnome-settings-keybindings" longtitle="Assign shortcut keys to commands" title="Keyboard Shortcuts" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-network-preferences" icon="stock_proxy" longtitle="Network proxy preferences" title="Network proxy" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-default-applications-properties" icon="gnome-settings-default-applications" longtitle="Select your default applications" title="Preferred Applications" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-window-properties" icon="gnome-window-manager" longtitle="Window Properties" title="Windows" needs="gnome" section="Configuration/GNOME" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-at-properties" icon="gnome-settings-accessibility-technologies" longtitle="Enable support for GNOME assistive technologies at login" title="Assistive Technology Support" needs="gnome" section="Configuration/GNOME/Accessibility" startup_notify="true"
?package(%{name}): command="%{_bindir}/gnome-display-properties" icon="display-capplet" longtitle="Change screen resolution" title="Screen Resolution" needs="gnome" section="Configuration/GNOME" startup_notify="true"
EOF

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/window-manager-settings/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in apps_gnome_settings_daemon_default_editor apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering desktop_gnome_peripherals_keyboard_xkb fontilus themus; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for SCHEMA in apps_gnome_settings_daemon_default_editor apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering desktop_gnome_peripherals_keyboard_xkb fontilus themus; do
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
 done
fi

%postun
%{clean_menus}

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}


%files -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_bindir}/*
%{_libexecdir}/fontilus-context-menu
%{_libexecdir}/gnome-settings-daemon
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo/*.so
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/window-manager-settings/*.so
%{_datadir}/gnome-background-properties
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/control-center-2.0
%{_datadir}/gnome/cursor-fonts
%{_datadir}/gnome/vfolders/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/idl/*
%{_menudir}/*
%{_iconsdir}/gnome/48x48/apps/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*

%changelog
* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Add source1 : list some default backgrounds we are shipping

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Patch13: fix keybinding when keysim are not available

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.2-4mdk
- Fix menu generated (fix kcmshell background)

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Patch11: enable more multimedia keys
- Patch12 (Debian): fix detection of pmu (ppc)

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Patch10 (CVS): fix infinite loop when changing theme

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk 
- Release 2.8.2
- Regenerate patches 3, 7
- Remove patches 8 & 10 (merged upstream)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-9mdk 
- Patch10: fix browser default location when using multimedia keys (Mdk bug #13361)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-8mdk 
- Update patch3 so selecting Firefox really work and set sensible name
  for www-browser (Mdk bug #13480)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk 
- Update patch9 with final version

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk 
- Patch9 : fix highlight cursor mode

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Update patch8 with latest version from CVS

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-3mdk
- remove obsolete menu entry

* Tue Nov 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Patch8 (Arnaud): fix audio mixer when resuming (Mdk bug #11524)

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patches 1, 4, 5 (merged upstream)
- Regenerate patches 2, 8
- Patch4 (Fedora): don't show hyper if its mapped to super
- Patch5 (Fedora): add preview in background file selector
- Patch6 (Fedora): Install icon theme should untar it into $HOME/.icons
- Patch7 : fix logout action for keybinding and use Ctrl-Alt-Del for it

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-8mdk
- Patch5 (Michal Bukovjan): fix volume change for all locale (Mdk bug #11310)

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-7mdk
- Update patch4 to really fix bug 10421

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): fix window location (Mdk bug #10421) 

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3: fix name for Mozilla in default apps capplet (Mdk bug #10704)

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: fix crash in background capplet with local encoded filename 
  (Mdk bug #10353)

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix missing icons in application window manager bar
- Enable libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix all icons in the menu entries
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.3-1mdk
- Release 2.6.0.3 (with Gtz help)
- Remove patches 1, 2, 3, 4 (merged upstream)

* Tue Mar 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-5mdk
- Force metacity dependency, otherwise gnome-theme-manager refuses to start

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-4mdk
- Patch4 (CVS): fix crash when removing themes

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-3mdk
- Patch2 (CVS): fix freeze when installing some themes
- Patch3: use corrent path when installing icon/metacity theme (Mdk bug #6741)

* Fri Dec 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.0-2mdk
- 64-bit fixes

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-3mdk
- Obsoletes/provides metatheme, metacity-setup
- Fix missing icons in menu entries (bug #4279)
- Add missing menu entries

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Add missing schema registration for fontilus and themus

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4
- Obsoletes/Provides drwright
- Remove patch1 (merged upstream)

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2 (now provides themus and fontilus too)
- Patch1 : fix parallel build

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-1mdk
- Release 2.2.1
- Remove patch1 (merged upstream)

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-2mdk
- Patch1 : ensure GConf proxy key is enabled when proxy is enabled (Mdk bug #1777)

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-3mdk
- Requires gnome-themes, otherwise it won't start

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Drop gnome-media dependency, no longer needed

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6
- Remove patch1 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Patch 1: fix crash when metacity is not the running WM

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patches 1, 2, 3, 4, 5, 6, 7, 8  (merged upstream)

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-6mdk
- Fix url (thanks to Yura Gusev)

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-5mdk
- Patch8 (rawhide) + source1: Add configuration options for Xft preferences to font capplet

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-4mdk
- Update patch6 to no longer get a warning when using default settings 
  and don't set number_of_workspaces to 0
- Put GNOME control-center menu entry back, too many people were still
  searching it

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-3mdk
- Patch7: enable mime type editing

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-2mdk
- Patch6 : Fix workspace names not restored on startup

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-1mdk
- Release 2.0.1.1
- Regenerate patch3
- Patch4 (Rawhide): Fix padding in mouse configuration dialog
- Patch5 (Rawhide): Fix up keyboard handling

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Update patch2 to enable theme install

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Patch3 (Rawhide): allow modifying metacity theme with GTK2 theme

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch1 (Rawhide): Add more fonts configurable in font dialog
- Patch2 (Rawhide): GNOME settings daemon try also to set gtk1.2 theme

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Regenerate patch0

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Obsoletes xalf : it no longer works..

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix menus (add missing icons, missing menu entry, resync with GNOME menu)

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix build (reported by Goetz Waschk)

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Regenerate and apply patch0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-3mdk
- Rebuild against libbonobo & libbonoboui 2.0.0

* Sun May 12 2002 Stefan van der Eijk <stefan@eijk.nu> 1.99.10-2mdk
- BuildRequires (thanks to Coulonges Philippe)
- Remove duplicate directory

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-1mdk
- Release 1.99.10

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Release 1.99.9

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.7-1mdk
- Release 1.99.7
- Remove patch19 (merged upstream)

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.6-1mdk
- Release 1.99.6 (GNOME 2)
- Disable all Mdk patches
- Patch19 (CVS): fix keybindings dialog crash

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5.11-10mdk
- updated Basque translation

* Tue Mar 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-9mdk
- Patch17: Retry getting moniker, since it might fails when starting too
  many applets at the same time (like in GNOME initialisation)
- Patch18: Fix background applet saving when setting background to no pixmap
- Remove patch16, it is no longer needed with bonobo 1.0.19-3mdk

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-8mdk
- Patch16: ugly hack to present bonobo-moniker-archiver to leak itself
  if it fails to initialize (needed until Bonobo 1 is fixed..)

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-7mdk
- Update patch 15 : fix default color rounding (from decimal to hexa)
- Update patch 14 : Fix funky background when starting nautilus

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5.11-6mdk
- added Basque (and others) translation

* Thu Feb 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-5mdk
- Update patch 15 to fix default keyboard values
- Requires gnome-media otherwise sound-properties can't initialize sound correctly

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-4mdk
- Source1, Patch1 (GNOME CVS): no longer ship screensaver capplet, use xscreensaver one

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.11-3mdk
- BuildRequires

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-2mdk
- Patch15: set default background

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-1mdk
- Release 1.5.11

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-7mdk
- Don't provide screensavers files, they are in xscreensaver package

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-6mdk
- Recompiled against gtkhtml 1.0

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-5mdk
- Rebuild against latest gal/gtkhtml

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-4mdk
- Spec cleanup from Abel Cheung <maddog@linux.org.hk>
 - Update Requires and BuildRequires
 - Modified summary and descriptions
 - More macros
 - Replace broken traditional Chinese translation
 - libconfig_archiver doesn't provide/obsolete control-center-devel,
   that should be done from libcapplet-devel
 - Requires common-licenses and removed various COPYING doc

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.5.8-3mdk
- fix BuildRequires

* Wed Oct 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-2mdk
- Fix menu entries

* Wed Oct 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-1mdk
- Release 1.5.8
- Regenerate patches 0, 14
- Remove patches 3, 7, 9, 13, 15, 52, 53(no longer needed), 16 & 17 (moved to -extra)
- Libification

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.1-12mdk
- Obsoletes: & Provides: for control-center-devel

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.0.1-11mdk
- rebuilt with libpng3

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-10mdk
- control-center is dead. Long life to gnome-control-center :))

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-9mdk
- Patch16: fix font in theme selector

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.1-8mdk
- rebuild including latest translations

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-7mdk
- Patch16: add some WM config utilities (bug 5001)
- Explicit dependency on gnome-vfs

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-6mdk
- Patch14 (rawhide): set _XROOTCOLOR_PIXEL for background
- Patch15 (rawhide): call dpms for xscreensaver

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-5mdk
- Remove patch11 : no longer needed 

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.1-4mdk
- BuildRequires:	GConf-devel flex libxml-devel popt-devel
- Copyright --> License
- Removed redundant BuildRequires.

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-3mdk
- Update splash screen (source1)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-2mdk
- Put some menuentries from gnome-core to this package

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1
- Add scrollkeeper support

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Better splash screen for control-center
- Remove old files

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Add more Build dependencies (Thanks to Vadim Plessky)

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Re-add build dependency on gnome-vfs-devel 

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Correct build dependencies

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.90-1mdk
- Release 1.3.90
- Add BuildRequires on gnome-vfs 

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-3mdk
- Recompiled against latest glib/gtk

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Correct license

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4

* Fri Oct  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-4mdk
- Rebuild package for bad pixmaps

* Tue Oct  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-3mdk
- Add support for standard background

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-2mdk
- No longer provide screensaver config file, there are now in xscreensaver* packages

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-6mdk
- Correct bug in background applet (Thanks Dadou)

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Add help files

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-4mdk
- Really use find_lang (Thanks to Goetz Waschk)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk
- use find_lang macro
- don't provide some .desktop

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- regenerate patch 3 & 7 since code has moved too much
- clean spec
- po files has been updated upstream, no longer add them manually

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-7mdk
- correct patch disabling load of esd when failure

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- rebuild to remove dependency on alsa
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-5mdk
- BM + marcozification

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- correct bad start of esd when specified not load it 
- add patch control-center-esdstoppediffailed.patch.bz2

* Mon Jun 26 2000 dam's <damien@mandrakesoft.com> 1.2.0-3mdk
- corrected logo installation.

* Fri Jun 23 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- Added Mandrake logo.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix version.
- added helix patches.
- removed patch 8.

* Tue May 09 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-4mdk
- set the f****** annoying bell to 0 percent.

* Sun May 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-3mdk
- set default background to beautiful blue gradient. 

* Tue Apr 24 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-2mdk
- control-center requires gnome-core 
- menu entry should be handled in gnome-core_menuentries.
- add po patch from helix 
- cleanup spec : no binary stripping (should be done by spec helper)

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-1mdk
- release 1.0.53-1mdk 

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- update group

* Thu Dec 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Updated .po files, and .desktop (from pablo) 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Remove added icons they are there now
- SMP build macro
- 1.0.51 

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Wed Aug 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.6 (from CVS; includes translations files more up-to-date than
  the control-center-1.0.6 available on ftp sites)
- removed some obsolete patches
- included some icons not yet in gnome-core

* Mon Aug 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib13.
- Forget to increase release.

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (24mdk)

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with RedHat :
	- updated RPM to use new control-center.
	- fixed sound-properties to only disable sound when run with --init-settings-..
	- removed debugging output from several capplets, fixed try behaviour of sm
	  and gnome-edit capplets
	- fixed bug in screensaver and background props
	- added new icons

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.
- Stripping again ;-).

* Mon Apr 05 1999 Jonathan Blandford <jrb@redhat.com>
- added a patch to fix the close dialog
- added a patch to limit the number of bg's in the history.

* Fri Apr 02 1999 Jonathan Blandford <jrb@redhat.com>
- vesion 1.0.5
- removed all patches >10 other then dontstartesd.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- removed UI props till it works better

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- make sure we DONT inadvertantly start esd by calling esd_open_...

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- changed default bg color to '#356390'

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- prime file selector path for browse in background-props if 
  "/usr/share/pixmaps/backgrounds/" exists.
- fix behavior of file selector when you delete/cancel/ok it

* Wed Mar 24 1999 Michael Fulbright <drmike@redhat.com>
- added patch to fix trying in theme selector 
- disabled crystal screensaver, it does evil things to preview in capplet

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4, fixes problems with sndprops and theme props among
  other things.

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix sound-properties capplet so Try/Revert doesnt come on unless user
  changes something
- fixed theme-selector to not leave processes behind on Linux 2.2 kernels
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3
- added patch to make esd release after 30 sec of inactivity

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- turned off sound by default

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.1

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8.1
- added etc/CORBA/servers/* to file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.8
- added /usr/lib/cappletConf.sh

* Mon Feb 08 1999 The Rasterman <raster@redhat.com>
- update to 0.99.5.1

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.5

* Mon Jan 20 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3.1

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3
- seems like patch for non-standard xscreensaver placement was already in
  prestine sources(?)

* Wed Jan 06 1999 Jonathan Blandford <jrb@redhat.com>
- updated to 0.99.1
- temporary hack patch to get path to work to non-standard placement
  of xscreensaver binaries in RH 5.2

* Wed Dec 16 1998 Jonathan Blandford <jrb@redhat.com>
- Created for the new control-center branch
